<!-- 搜索表单 -->
<template>
  <el-form
    label-width="77px"
    class="ele-form-search"
    @keyup.enter.native="search"
    @submit.native.prevent
  >
    <el-row :gutter="15">
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <el-form-item label="用户姓名">
          <el-input clearable v-model="where.username" placeholder="请输入" />
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <el-form-item label="工号">
          <el-input clearable v-model="where.userCode" placeholder="请输入" />
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <el-form-item label="操作类型">
          <el-select v-model="where.type" clearable>
            <el-option
              v-for="(item, index) in typeList"
              :value="index"
              :key="index"
              :label="item"
            />
          </el-select>
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 12, md: 12 } : { span: 12 }">
        <el-form-item label="操作时间:">
          <el-date-picker
            unlink-panels
            v-model="where.dateRange"
            range-separator="-"
            type="daterange"
            end-placeholder="结束日期"
            start-placeholder="开始日期"
            value-format="yyyy-MM-dd"
            class="ele-fluid"
          />
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <div class="ele-form-actions">
          <el-button
            type="primary"
            icon="el-icon-search"
            class="ele-btn-icon"
            @click="search"
          >
            查询
          </el-button>
          <el-button @click="reset">重置</el-button>
        </div>
      </el-col>
    </el-row>
  </el-form>
</template>

<script>
  import { getsSearch } from '@/api/organization/user-log';
  export default {
    components: {},
    data() {
      // 默认表单数据
      const defaultWhere = {
        username: '',
        userCode: '',
        type: '',
        dateRange: ''
      };
      return {
        // 表单数据
        where: { ...defaultWhere },
        typeList: []
      };
    },
    computed: {
      // 是否开启响应式布局
      styleResponsive() {
        return this.$store.state.theme.styleResponsive;
      }
    },
    created() {
      this.loadSearch();
    },
    methods: {
      loadSearch() {
        getsSearch()
          .then((data) => {
            this.typeList = data.typeList;
          })
          .catch((e) => {
            this.$message.error(e.message);
          });
      },
      /* 搜索 */
      search() {
        this.$emit('search', this.where);
      },
      /*  重置 */
      reset() {
        this.where = { ...this.defaultWhere };
        this.search();
      }
    }
  };
</script>
